import 'bootstrap.css';
import '@mescius/wijmo.styles/wijmo.css';
import './styles.css';
//
import * as input from '@mescius/wijmo.input';
import * as wijmo from '@mescius/wijmo';
//
document.readyState === 'complete' ? init() : window.onload = init;
//
function init() {
// create form
let cmbType = new input.ComboBox('#type', {
textChanged: (sender) => {
document.querySelector('#btnShow').textContent = 'Show ' + sender.text;
},
itemsSource: ['Alert', 'Prompt']
}), header = new input.ComboBox('#header', { text: 'Header' }), body = new input.ComboBox('#body', { text: 'Dialog message.' }), ok = new input.ComboBox('#ok', { text: 'OK' }), cancel = new input.ComboBox('#cancel', { text: 'Cancel' }), clsDialog = new input.ComboBox('#clsDialog', { text: 'modal-dialog' }), clsHeader = new input.ComboBox('#clsHeader', { text: 'modal-header' }), clsBody = new input.ComboBox('#clsBody', { text: 'modal-body' }), clsInput = new input.ComboBox('#clsInput', { text: 'form-control' }), clsFooter = new input.ComboBox('#clsFooter', { text: 'modal-footer' }), clsOK = new input.ComboBox('#clsOK', { text: 'btn btn-primary' }), clsCancel = new input.ComboBox('#clsCancel', { text: 'btn btn-default' }), small = document.querySelector('#small');
//
// show the Alert/Prompt
document.querySelector('#btnShow').addEventListener('click', () => {
let options = getOptions();
//
if (cmbType.text == 'Alert') {
alertPopup(options, result => alert('you entered: ' + result));
}
else {
propmtPopup(options, result => alert('you entered: ' + result));
}
});
//
function getOptions() {
return {
header: header.text,
body: body.text,
small: small.checked,
ok: ok.text || 'OK',
cancel: cancel.text || 'Cancel',
clsDialog: clsDialog.text || 'wj-dialog',
clsHeader: clsHeader.text || 'wj-dialog-header',
clsBody: clsBody.text || 'wj-dialog-body',
clsInput: clsInput.text || 'wj-control',
clsFooter: clsFooter.text || 'wj-dialog-footer',
clsOK: clsOK.text || 'wj-btn',
clsCancel: clsCancel.text || 'wj-btn'
};
}
//
// alert popup
function alertPopup(options, callback) {
let dialog = createDialog(options), popup = new input.Popup(dialog);
//
popup.show(true, (sender) => {
if (callback) {
callback(sender.dialogResult);
}
});
}
//
// prompt popup
function propmtPopup(options, callback) {
let dialog = createDialog(options, true), popup = new input.Popup(dialog);
//
popup.show(true, (sender) => {
if (callback) {
let result = sender.dialogResult && sender.dialogResult.indexOf('ok') > -1
? dialog.querySelector('input').value
: null;
callback(result);
}
});
}
//
// create dialog to use as an alert or prompt
function createDialog(options, input = false) {
// create dialog
let template = '<div class="{clsDialog}" role="dialog">' +
'<div class="{clsHeader}">' +
'<h4>{header}</h4>' +
'</div>' +
'<div class="{clsBody}">' +
'<p>{body}</p>' +
(input ? '<input class="{clsInput}">' : '') +
'</div>' +
'<div class="{clsFooter}">' +
'<button class="{clsOK} wj-hide-ok">{ok}</button>' +
'<button class="{clsCancel} wj-hide">{cancel}</button>' +
'</div>' +
'</div>';
//
let dialog = wijmo.createElement(wijmo.format(template, options));
//
// honor 'small' option
dialog.style.width = options.small ? '20%' : '40%';
//
// dialog is ready
return dialog;
}
}
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<title>MESCIUS Wijmo Popup Alerts and Prompts</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<!-- SystemJS -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.21.5/system.src.js" integrity="sha512-skZbMyvYdNoZfLmiGn5ii6KmklM82rYX2uWctBhzaXPxJgiv4XBwJnFGr5k8s+6tE1pcR1nuTKghozJHyzMcoA==" crossorigin="anonymous"></script>
<script src="systemjs.config.js"></script>
<script>
System.import('./src/app');
</script>
</head>
<body>
<div class="container-fluid">
<div class="form-group">
<label for="btnShow">Show</label>
<button id="btnShow" class="btn btn-primary">Show Popup</button>
</div>
<div class="row">
<div class="col-xs-6">
<!-- important options -->
<div class="form-group">
<label for="type">Type</label>
<div id="type"></div>
</div>
<div class="form-group">
<label for="header">Header</label>
<input id="header">
</div>
<div class="form-group">
<label for="body">Body</label>
<input id="body">
</div>
<div class="form-group">
<label for="small">Small</label>
<input id="small" type="checkbox">
</div>
<div class="form-group">
<label for="ok">OK Text</label>
<input id="ok">
</div>
<div class="form-group">
<label for="cancel">Cancel Text</label>
<input id="cancel">
</div>
</div>
<div class="col-xs-6">
<!-- details -->
<div class="form-group">
<label for="clsDialog">Dialog Class</label>
<input id="clsDialog">
</div>
<div class="form-group">
<label for="clsHeader">Header Class</label>
<input id="clsHeader">
</div>
<div class="form-group">
<label for="clsBody">Body Class</label>
<input id="clsBody">
</div>
<div class="form-group">
<label for="clsInput">Input Class</label>
<input id="clsInput">
</div>
<div class="form-group">
<label for="clsFooter">Footer Class</label>
<input id="clsFooter">
</div>
<div class="form-group">
<label for="clsOK">OK Class</label>
<input id="clsOK">
</div>
<div class="form-group">
<label for="clsCancel">Cancel Class</label>
<input id="clsCancel">
</div>
</div>
</div>
</div>
</body>
</html>
label {
width: 90px;
text-align: right;
margin-right: 6px;
}
.wj-combobox {
width: 140px;
}
body {
margin-bottom: 24pt;
}
(function (global) {
System.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true
},
meta: {
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'jszip': 'npm:jszip/dist/jszip.js',
'@mescius/wijmo': 'npm:@mescius/wijmo/index.js',
'@mescius/wijmo.input': 'npm:@mescius/wijmo.input/index.js',
'@mescius/wijmo.styles': 'npm:@mescius/wijmo.styles',
'@mescius/wijmo.cultures': 'npm:@mescius/wijmo.cultures',
'@mescius/wijmo.chart': 'npm:@mescius/wijmo.chart/index.js',
'@mescius/wijmo.chart.analytics': 'npm:@mescius/wijmo.chart.analytics/index.js',
'@mescius/wijmo.chart.animation': 'npm:@mescius/wijmo.chart.animation/index.js',
'@mescius/wijmo.chart.annotation': 'npm:@mescius/wijmo.chart.annotation/index.js',
'@mescius/wijmo.chart.finance': 'npm:@mescius/wijmo.chart.finance/index.js',
'@mescius/wijmo.chart.finance.analytics': 'npm:@mescius/wijmo.chart.finance.analytics/index.js',
'@mescius/wijmo.chart.hierarchical': 'npm:@mescius/wijmo.chart.hierarchical/index.js',
'@mescius/wijmo.chart.interaction': 'npm:@mescius/wijmo.chart.interaction/index.js',
'@mescius/wijmo.chart.radar': 'npm:@mescius/wijmo.chart.radar/index.js',
'@mescius/wijmo.chart.render': 'npm:@mescius/wijmo.chart.render/index.js',
'@mescius/wijmo.chart.webgl': 'npm:@mescius/wijmo.chart.webgl/index.js',
'@mescius/wijmo.chart.map': 'npm:@mescius/wijmo.chart.map/index.js',
'@mescius/wijmo.gauge': 'npm:@mescius/wijmo.gauge/index.js',
'@mescius/wijmo.grid': 'npm:@mescius/wijmo.grid/index.js',
'@mescius/wijmo.grid.detail': 'npm:@mescius/wijmo.grid.detail/index.js',
'@mescius/wijmo.grid.filter': 'npm:@mescius/wijmo.grid.filter/index.js',
'@mescius/wijmo.grid.search': 'npm:@mescius/wijmo.grid.search/index.js',
'@mescius/wijmo.grid.grouppanel': 'npm:@mescius/wijmo.grid.grouppanel/index.js',
'@mescius/wijmo.grid.multirow': 'npm:@mescius/wijmo.grid.multirow/index.js',
'@mescius/wijmo.grid.transposed': 'npm:@mescius/wijmo.grid.transposed/index.js',
'@mescius/wijmo.grid.transposedmultirow': 'npm:@mescius/wijmo.grid.transposedmultirow/index.js',
'@mescius/wijmo.grid.pdf': 'npm:@mescius/wijmo.grid.pdf/index.js',
'@mescius/wijmo.grid.sheet': 'npm:@mescius/wijmo.grid.sheet/index.js',
'@mescius/wijmo.grid.xlsx': 'npm:@mescius/wijmo.grid.xlsx/index.js',
'@mescius/wijmo.grid.selector': 'npm:@mescius/wijmo.grid.selector/index.js',
'@mescius/wijmo.grid.cellmaker': 'npm:@mescius/wijmo.grid.cellmaker/index.js',
'@mescius/wijmo.nav': 'npm:@mescius/wijmo.nav/index.js',
'@mescius/wijmo.odata': 'npm:@mescius/wijmo.odata/index.js',
'@mescius/wijmo.olap': 'npm:@mescius/wijmo.olap/index.js',
'@mescius/wijmo.rest': 'npm:@mescius/wijmo.rest/index.js',
'@mescius/wijmo.pdf': 'npm:@mescius/wijmo.pdf/index.js',
'@mescius/wijmo.pdf.security': 'npm:@mescius/wijmo.pdf.security/index.js',
'@mescius/wijmo.viewer': 'npm:@mescius/wijmo.viewer/index.js',
'@mescius/wijmo.xlsx': 'npm:@mescius/wijmo.xlsx/index.js',
'@mescius/wijmo.undo': 'npm:@mescius/wijmo.undo/index.js',
'@mescius/wijmo.interop.grid': 'npm:@mescius/wijmo.interop.grid/index.js',
'@mescius/wijmo.touch': 'npm:@mescius/wijmo.touch/index.js',
'@mescius/wijmo.cloud': 'npm:@mescius/wijmo.cloud/index.js',
'@mescius/wijmo.barcode': 'npm:@mescius/wijmo.barcode/index.js',
'@mescius/wijmo.barcode.common': 'npm:@mescius/wijmo.barcode.common/index.js',
'@mescius/wijmo.barcode.composite': 'npm:@mescius/wijmo.barcode.composite/index.js',
'@mescius/wijmo.barcode.specialized': 'npm:@mescius/wijmo.barcode.specialized/index.js',
'jszip': 'npm:jszip/dist/jszip.js',
'bootstrap.css': 'npm:bootstrap/dist/css/bootstrap.min.css',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'js'
},
"node_modules": {
defaultExtension: 'js'
},
}
});
})(this);

import 'bootstrap.css';
import '@mescius/wijmo.styles/wijmo.css';
import ReactDOM from 'react-dom/client';
import React, { useState } from 'react';
import useEvent from 'react-use-event-hook';
import * as wjInput from '@mescius/wijmo.react.input';
import './app.css';
function App() {
const [thePopup, setThePopup] = useState();
const [itemSource, setItemSource] = useState(['Alert', 'Prompt']);
const [small, setSmall] = useState(false);
const [clsDialogText, setClsDialogText] = useState('modal-dialog');
const [clsHeaderText, setClsHeaderText] = useState('modal-header');
const [headerText, setHeaderText] = useState('Header');
const [clsBodyText, setClsBodyText] = useState('modal-body');
const [bodyText, setBodyText] = useState('Dialog message.');
const [clsInputText, setClsInputText] = useState('form-control');
const [clsFooterText, setClsFooterText] = useState('modal-footer');
const [clsOKText, setClsOKText] = useState('btn btn-primary');
const [okText, setOkText] = useState('OK');
const [clsCancelText, setClsCancelText] = useState('btn btn-default');
const [cancelText, setCancelText] = useState('Cancel');
const [typeText, setTypeText] = useState('Alert');
const initPopup = useEvent((popup) => {
setThePopup(popup);
});
const showAlert = useEvent((popup) => {
popup.show(true, (sender) => {
alert('you entered: ' + sender.dialogResult);
});
});
const showPrompt = useEvent((popup) => {
popup.show(true, (sender) => {
let result = sender.dialogResult && sender.dialogResult.indexOf('ok') > -1
? popup.hostElement.querySelector('input').value
: null;
alert('you entered: ' + result);
});
});
const textChanged = useEvent((combo) => {
switch (combo.hostElement.id) {
case "clsHeader":
setClsHeaderText(combo.text);
break;
case "header":
setHeaderText(combo.text);
break;
case "clsBody":
setClsBodyText(combo.text);
break;
case "body":
setBodyText(combo.text);
break;
case "clsInput":
setClsInputText(combo.text);
break;
case "clsFooter":
setClsFooterText(combo.text);
break;
case "clsOK":
setClsOKText(combo.text);
break;
case "ok":
setOkText(combo.text);
break;
case "clsCancel":
setClsCancelText(combo.text);
break;
case "cancel":
setCancelText(combo.text);
break;
case "type":
setTypeText(combo.text);
break;
}
});
const updateSmallStatus = (target) => {
setSmall(target.checked);
};
return (<main className="container-fluid">
<wjInput.Popup style={{ width: small ? '20%' : '40%' }} className={[clsDialogText || 'wj-dialog', 'wj-popup'].join(' ')} role="dialog" initialized={initPopup}>
<div className={clsHeaderText || 'wj-dialog-header'}>
<h4>{headerText}</h4>
</div>
<div className={clsBodyText || 'wj-dialog-body'}>
<p>{bodyText}</p>
{(typeText == 'Prompt')
? (<input className={clsInputText || 'form-control'}></input>)
: null}
</div>
<div className={clsFooterText || 'wj-dialog-footer'}>
<button className={[clsOKText || 'wj-btn', ' wj-hide-ok'].join(' ')}>{okText || "OK"}</button>
<button className={[clsCancelText || 'wj-btn', 'wj-hide'].join(' ')}>{cancelText || "Cancel"}</button>
</div>
</wjInput.Popup>
<div className="form-group">
<label htmlFor="btnShow">Show</label>
<button id="btnShow" className="btn btn-primary" onClick={e => typeText == 'Alert' ? showAlert(thePopup) : showPrompt(thePopup)}>
Show {typeText}
</button>
</div>
<div className="row">
<div className="col-xs-6">
<div className="form-group">
<label htmlFor="type">Type</label>
<wjInput.ComboBox id="type" itemsSource={itemSource} selectedIndexChanged={textChanged}>
</wjInput.ComboBox>
</div>
<div className="form-group">
<label htmlFor="header">Header</label>
<wjInput.ComboBox id="header" text={headerText} textChanged={textChanged}>
</wjInput.ComboBox>
</div>
<div className="form-group">
<label htmlFor="body">Body</label>
<wjInput.ComboBox id="body" text={bodyText} textChanged={textChanged}>
</wjInput.ComboBox>
</div>
<div className="form-group">
<label htmlFor="small">Small</label>
<input id="small" type="checkbox" defaultChecked={false} onChange={e => updateSmallStatus(e.target)}/>
</div>
<div className="form-group">
<label htmlFor="ok">OK Text</label>
<wjInput.ComboBox id="ok" text={okText} textChanged={textChanged}>
</wjInput.ComboBox>
</div>
<div className="form-group">
<label htmlFor="cancel">Cancel Text</label>
<wjInput.ComboBox id="cancel" text={cancelText} textChanged={textChanged}>
</wjInput.ComboBox>
</div>
</div>
<div className="col-xs-6">
<div className="form-group">
<label htmlFor="clsDialog">Dialog Class</label>
<wjInput.ComboBox id="clsDialog" text={clsDialogText} textChanged={textChanged}>
</wjInput.ComboBox>
</div>
<div className="form-group">
<label htmlFor="clsHeader">Header Class</label>
<wjInput.ComboBox id="clsHeader" text={clsHeaderText} textChanged={textChanged}>
</wjInput.ComboBox>
</div>
<div className="form-group">
<label htmlFor="clsBody">Body Class</label>
<wjInput.ComboBox id="clsBody" text={clsBodyText} textChanged={textChanged}>
</wjInput.ComboBox>
</div>
<div className="form-group">
<label htmlFor="clsInput">Input Class</label>
<wjInput.ComboBox id="clsInput" text={clsInputText} textChanged={textChanged}>
</wjInput.ComboBox>
</div>
<div className="form-group">
<label htmlFor="clsFooter">Footer Class</label>
<wjInput.ComboBox id="clsFooter" text={clsFooterText} textChanged={textChanged}>
</wjInput.ComboBox>
</div>
<div className="form-group">
<label htmlFor="clsOK">OK Class</label>
<wjInput.ComboBox id="clsOK" text={clsOKText} textChanged={textChanged}>
</wjInput.ComboBox>
</div>
<div className="form-group">
<label htmlFor="clsCancel">Cancel Class</label>
<wjInput.ComboBox id="clsCancel" text={clsCancelText} textChanged={textChanged}>
</wjInput.ComboBox>
</div>
</div>
</div>
</main>);
}
const container = document.getElementById('app');
if (container) {
const root = ReactDOM.createRoot(container);
root.render(<App />);
}
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<title>MESCIUS Wijmo Popup Alerts and Prompts</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<!-- SystemJS -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.19.40/system.src.js" integrity="sha512-G6mEj6h18+m3MvzdviSDfPle/TfH0//cXcB33AKlNR/Rha0yQsKefDZKRTkIZos97HEGq2JMV1RT5ybMoQ3WsQ==" crossorigin="anonymous"></script>
<script src="systemjs.config.js"></script>
<script>
System.import('./src/app');
</script>
</head>
<body>
<div id="app"></div>
</body>
</html>
label {
width: 90px;
text-align: right;
margin-right: 6px;
}
.wj-combobox {
width: 140px;
}
(function (global) {
window.process = {
env: {
NODE_ENV: "production"
}
}
System.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true,
react: true
},
meta: {
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'jszip': 'npm:jszip/dist/jszip.js',
'@mescius/wijmo': 'npm:@mescius/wijmo/index.js',
'@mescius/wijmo.input': 'npm:@mescius/wijmo.input/index.js',
'@mescius/wijmo.styles': 'npm:@mescius/wijmo.styles',
'@mescius/wijmo.cultures': 'npm:@mescius/wijmo.cultures',
'@mescius/wijmo.chart': 'npm:@mescius/wijmo.chart/index.js',
'@mescius/wijmo.chart.analytics': 'npm:@mescius/wijmo.chart.analytics/index.js',
'@mescius/wijmo.chart.animation': 'npm:@mescius/wijmo.chart.animation/index.js',
'@mescius/wijmo.chart.annotation': 'npm:@mescius/wijmo.chart.annotation/index.js',
'@mescius/wijmo.chart.finance': 'npm:@mescius/wijmo.chart.finance/index.js',
'@mescius/wijmo.chart.finance.analytics': 'npm:@mescius/wijmo.chart.finance.analytics/index.js',
'@mescius/wijmo.chart.hierarchical': 'npm:@mescius/wijmo.chart.hierarchical/index.js',
'@mescius/wijmo.chart.interaction': 'npm:@mescius/wijmo.chart.interaction/index.js',
'@mescius/wijmo.chart.radar': 'npm:@mescius/wijmo.chart.radar/index.js',
'@mescius/wijmo.chart.render': 'npm:@mescius/wijmo.chart.render/index.js',
'@mescius/wijmo.chart.webgl': 'npm:@mescius/wijmo.chart.webgl/index.js',
'@mescius/wijmo.chart.map': 'npm:@mescius/wijmo.chart.map/index.js',
'@mescius/wijmo.gauge': 'npm:@mescius/wijmo.gauge/index.js',
'@mescius/wijmo.grid': 'npm:@mescius/wijmo.grid/index.js',
'@mescius/wijmo.grid.detail': 'npm:@mescius/wijmo.grid.detail/index.js',
'@mescius/wijmo.grid.filter': 'npm:@mescius/wijmo.grid.filter/index.js',
'@mescius/wijmo.grid.search': 'npm:@mescius/wijmo.grid.search/index.js',
'@mescius/wijmo.grid.style': 'npm:@mescius/wijmo.grid.style/index.js',
'@mescius/wijmo.grid.grouppanel': 'npm:@mescius/wijmo.grid.grouppanel/index.js',
'@mescius/wijmo.grid.multirow': 'npm:@mescius/wijmo.grid.multirow/index.js',
'@mescius/wijmo.grid.transposed': 'npm:@mescius/wijmo.grid.transposed/index.js',
'@mescius/wijmo.grid.transposedmultirow': 'npm:@mescius/wijmo.grid.transposedmultirow/index.js',
'@mescius/wijmo.grid.pdf': 'npm:@mescius/wijmo.grid.pdf/index.js',
'@mescius/wijmo.grid.sheet': 'npm:@mescius/wijmo.grid.sheet/index.js',
'@mescius/wijmo.grid.xlsx': 'npm:@mescius/wijmo.grid.xlsx/index.js',
'@mescius/wijmo.grid.selector': 'npm:@mescius/wijmo.grid.selector/index.js',
'@mescius/wijmo.grid.cellmaker': 'npm:@mescius/wijmo.grid.cellmaker/index.js',
'@mescius/wijmo.grid.immutable': 'npm:@mescius/wijmo.grid.immutable/index.js',
'@mescius/wijmo.touch': 'npm:@mescius/wijmo.touch/index.js',
'@mescius/wijmo.cloud': 'npm:@mescius/wijmo.cloud/index.js',
'@mescius/wijmo.nav': 'npm:@mescius/wijmo.nav/index.js',
'@mescius/wijmo.odata': 'npm:@mescius/wijmo.odata/index.js',
'@mescius/wijmo.olap': 'npm:@mescius/wijmo.olap/index.js',
'@mescius/wijmo.rest': 'npm:@mescius/wijmo.rest/index.js',
'@mescius/wijmo.pdf': 'npm:@mescius/wijmo.pdf/index.js',
'@mescius/wijmo.pdf.security': 'npm:@mescius/wijmo.pdf.security/index.js',
'@mescius/wijmo.viewer': 'npm:@mescius/wijmo.viewer/index.js',
'@mescius/wijmo.xlsx': 'npm:@mescius/wijmo.xlsx/index.js',
'@mescius/wijmo.undo': 'npm:@mescius/wijmo.undo/index.js',
'@mescius/wijmo.interop.grid': 'npm:@mescius/wijmo.interop.grid/index.js',
'@mescius/wijmo.barcode': 'npm:@mescius/wijmo.barcode/index.js',
'@mescius/wijmo.barcode.common': 'npm:@mescius/wijmo.barcode.common/index.js',
'@mescius/wijmo.barcode.composite': 'npm:@mescius/wijmo.barcode.composite/index.js',
'@mescius/wijmo.barcode.specialized': 'npm:@mescius/wijmo.barcode.specialized/index.js',
"@mescius/wijmo.react.chart.analytics": "npm:@mescius/wijmo.react.chart.analytics/index.js",
"@mescius/wijmo.react.chart.animation": "npm:@mescius/wijmo.react.chart.animation/index.js",
"@mescius/wijmo.react.chart.annotation": "npm:@mescius/wijmo.react.chart.annotation/index.js",
"@mescius/wijmo.react.chart.finance.analytics": "npm:@mescius/wijmo.react.chart.finance.analytics/index.js",
"@mescius/wijmo.react.chart.finance": "npm:@mescius/wijmo.react.chart.finance/index.js",
"@mescius/wijmo.react.chart.hierarchical": "npm:@mescius/wijmo.react.chart.hierarchical/index.js",
"@mescius/wijmo.react.chart.interaction": "npm:@mescius/wijmo.react.chart.interaction/index.js",
"@mescius/wijmo.react.chart.radar": "npm:@mescius/wijmo.react.chart.radar/index.js",
"@mescius/wijmo.react.chart": "npm:@mescius/wijmo.react.chart/index.js",
"@mescius/wijmo.react.core": "npm:@mescius/wijmo.react.core/index.js",
'@mescius/wijmo.react.chart.map': 'npm:@mescius/wijmo.react.chart.map/index.js',
"@mescius/wijmo.react.gauge": "npm:@mescius/wijmo.react.gauge/index.js",
"@mescius/wijmo.react.grid.detail": "npm:@mescius/wijmo.react.grid.detail/index.js",
"@mescius/wijmo.react.grid.filter": "npm:@mescius/wijmo.react.grid.filter/index.js",
"@mescius/wijmo.react.grid.grouppanel": "npm:@mescius/wijmo.react.grid.grouppanel/index.js",
'@mescius/wijmo.react.grid.search': 'npm:@mescius/wijmo.react.grid.search/index.js',
"@mescius/wijmo.react.grid.multirow": "npm:@mescius/wijmo.react.grid.multirow/index.js",
"@mescius/wijmo.react.grid.sheet": "npm:@mescius/wijmo.react.grid.sheet/index.js",
'@mescius/wijmo.react.grid.transposed': 'npm:@mescius/wijmo.react.grid.transposed/index.js',
'@mescius/wijmo.react.grid.transposedmultirow': 'npm:@mescius/wijmo.react.grid.transposedmultirow/index.js',
'@mescius/wijmo.react.grid.immutable': 'npm:@mescius/wijmo.react.grid.immutable/index.js',
"@mescius/wijmo.react.grid": "npm:@mescius/wijmo.react.grid/index.js",
"@mescius/wijmo.react.input": "npm:@mescius/wijmo.react.input/index.js",
"@mescius/wijmo.react.olap": "npm:@mescius/wijmo.react.olap/index.js",
"@mescius/wijmo.react.viewer": "npm:@mescius/wijmo.react.viewer/index.js",
"@mescius/wijmo.react.nav": "npm:@mescius/wijmo.react.nav/index.js",
"@mescius/wijmo.react.base": "npm:@mescius/wijmo.react.base/index.js",
'@mescius/wijmo.react.barcode.common': 'npm:@mescius/wijmo.react.barcode.common/index.js',
'@mescius/wijmo.react.barcode.composite': 'npm:@mescius/wijmo.react.barcode.composite/index.js',
'@mescius/wijmo.react.barcode.specialized': 'npm:@mescius/wijmo.react.barcode.specialized/index.js',
'jszip': 'npm:jszip/dist/jszip.js',
'react': 'npm:react/index.js',
'react-dom': 'npm:react-dom/index.js',
'react-dom/client': 'npm:react-dom/client.js',
"scheduler": "npm:scheduler/index.js",
'redux': 'npm:redux/dist/redux.min.js',
'react-redux': 'npm:react-redux/dist/react-redux.min.js',
'bootstrap.css': 'npm:bootstrap/dist/css/bootstrap.min.css',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js',
"react-use-event-hook": "npm:react-use-event-hook/dist/esm/useEvent.js",
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'jsx'
},
"node_modules": {
defaultExtension: 'js'
},
}
});
})(this);

<template>
<main class="container-fluid">
<wj-popup :style="{ width: small ? '20%' : '40%' }" :class="[clsDialogText || 'wj-dialog', 'wj-popup']"
role="dialog" :initialized="initPopup">
<div :class="clsHeaderText || 'wj-dialog-header'">
<h4>{{ headerText }}</h4>
</div>
<div :class="clsBodyText || 'wj-dialog-body'">
<p>{{ bodyText }}</p>
<input v-if="typeText == 'Prompt'" :class="clsInputText || 'form-control'">
</div>
<div :class="clsFooterText || 'wj-dialog-footer'">
<button :class="[clsOKText || 'wj-btn', ' wj-hide-ok']">{{ okText || "OK" }}</button>
<button :class="[clsCancelText || 'wj-btn', 'wj-hide']">{{ cancelText || "Cancel" }}</button>
</div>
</wj-popup>
<div class="form-group">
<label for="btnShow">Show</label>
<button id="btnShow" class="btn btn-primary"
@click="typeText == 'Alert' ? showAlert(thePopup) : showPrompt(thePopup)">
Show {{ typeText }}
</button>
</div>
<div class="row">
<div class="col-xs-6">
<!-- important options -->
<div class="form-group">
<label for="type">Type</label>
<wj-combo-box id="type" :itemsSource="itemSource"
:selectedIndexChanged="textChanged"></wj-combo-box>
</div>
<div class="form-group">
<label for="header">Header</label>
<wj-combo-box id="header" :text="'Header'" :textChanged="textChanged"></wj-combo-box>
</div>
<div class="form-group">
<label for="body">Body</label>
<wj-combo-box id="body" :text="'Dialog message.'" :textChanged="textChanged"></wj-combo-box>
</div>
<div class="form-group">
<label for="small">Small</label>
<input id="small" type="checkbox" v-model="small">
</div>
<div class="form-group">
<label for="ok">OK Text</label>
<wj-combo-box id="ok" :text="'OK'" :textChanged="textChanged"></wj-combo-box>
</div>
<div class="form-group">
<label for="cancel">Cancel Text</label>
<wj-combo-box id="cancel" :text="'Cancel'" :textChanged="textChanged"></wj-combo-box>
</div>
</div>
<div class="col-xs-6">
<!-- details -->
<div class="form-group">
<label for="clsDialog">Dialog Class</label>
<wj-combo-box id="clsDialog" :text="'modal-dialog'" :textChanged="textChanged"></wj-combo-box>
</div>
<div class="form-group">
<label for="clsHeader">Header Class</label>
<wj-combo-box id="clsHeader" :text="'modal-header'" :textChanged="textChanged"></wj-combo-box>
</div>
<div class="form-group">
<label for="clsBody">Body Class</label>
<wj-combo-box id="clsBody" :text="'modal-body'" :textChanged="textChanged"></wj-combo-box>
</div>
<div class="form-group">
<label for="clsInput">Input Class</label>
<wj-combo-box id="clsInput" :text="'form-control'" :textChanged="textChanged"></wj-combo-box>
</div>
<div class="form-group">
<label for="clsFooter">Footer Class</label>
<wj-combo-box id="clsFooter" :text="'modal-footer'" :textChanged="textChanged"></wj-combo-box>
</div>
<div class="form-group">
<label for="clsOK">OK Class</label>
<wj-combo-box id="clsOK" :text="'btn btn-primary'" :textChanged="textChanged"></wj-combo-box>
</div>
<div class="form-group">
<label for="clsCancel">Cancel Class</label>
<wj-combo-box id="clsCancel" :text="'btn btn-default'" :textChanged="textChanged"></wj-combo-box>
</div>
</div>
</div>
</main>
</template>
<script setup>
import { ref } from "vue";
const itemSource = ref(["Alert", "Prompt"]);
const clsDialogText = ref("modal-dialog");
const small = ref(false);
const clsHeaderText = ref("modal-header");
const headerText = ref("Header");
const clsBodyText = ref("modal-body");
const bodyText = ref("Dialog message.");
const clsInputText = ref("form-control");
const clsFooterText = ref("modal-footer");
const clsOKText = ref("btn btn-primary");
const okText = ref("OK");
const clsCancelText = ref("btn btn-default");
const cancelText = ref("Cancel");
const typeText = ref("Alert");
const thePopup = ref(null);
function initPopup(popup) {
thePopup.value = popup;
}
function textChanged(combo) {
const mapping = {
type: typeText,
header: headerText,
body: bodyText,
ok: okText,
cancel: cancelText,
clsDialog: clsDialogText,
clsHeader: clsHeaderText,
clsBody: clsBodyText,
clsInput: clsInputText,
clsFooter: clsFooterText,
clsOK: clsOKText,
clsCancel: clsCancelText,
};
const refToUpdate = mapping[combo.hostElement.id];
if (refToUpdate) {
refToUpdate.value = combo.text;
}
}
function showAlert(popup) {
popup.show(true, (sender) => {
alert("you entered: " + sender.dialogResult);
});
}
function showPrompt(popup) {
popup.show(true, (sender) => {
let result = sender.dialogResult && sender.dialogResult.indexOf("ok") > -1 ? popup.hostElement.querySelector("input").value : null;
alert("you entered: " + result);
});
}
</script>
<style>
label {
width: 90px;
text-align: right;
margin-right: 6px;
}
.container-fluid .wj-combobox {
width: 140px;
}
body {
margin-bottom: 24pt;
}
</style>
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<title>MESCIUS Wijmo Popup Alerts and Prompts</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<!-- SystemJS -->
<script src="compiler.js" type="module"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.21.5/system.src.js" integrity="sha512-skZbMyvYdNoZfLmiGn5ii6KmklM82rYX2uWctBhzaXPxJgiv4XBwJnFGr5k8s+6tE1pcR1nuTKghozJHyzMcoA==" crossorigin="anonymous"></script>
<script src="systemjs.config.js"></script>
<script>
System.import('./src/app.js');
</script>
</head>
<body>
<div id="app"></div>
</body>
</html>
(function (global) {
System.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true
},
meta: {
'*.css': { loader: 'css' },
'*.vue': { loader: '../plugin-vue/index.js' }
//'*.vue': { loader: 'systemjs-plugin-vue' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'@mescius/wijmo': 'npm:@mescius/wijmo/index.js',
'@mescius/wijmo.input': 'npm:@mescius/wijmo.input/index.js',
'@mescius/wijmo.styles': 'npm:@mescius/wijmo.styles',
'@mescius/wijmo.cultures': 'npm:@mescius/wijmo.cultures',
'@mescius/wijmo.chart': 'npm:@mescius/wijmo.chart/index.js',
'@mescius/wijmo.chart.analytics': 'npm:@mescius/wijmo.chart.analytics/index.js',
'@mescius/wijmo.chart.animation': 'npm:@mescius/wijmo.chart.animation/index.js',
'@mescius/wijmo.chart.annotation': 'npm:@mescius/wijmo.chart.annotation/index.js',
'@mescius/wijmo.chart.finance': 'npm:@mescius/wijmo.chart.finance/index.js',
'@mescius/wijmo.chart.finance.analytics': 'npm:@mescius/wijmo.chart.finance.analytics/index.js',
'@mescius/wijmo.chart.hierarchical': 'npm:@mescius/wijmo.chart.hierarchical/index.js',
'@mescius/wijmo.chart.interaction': 'npm:@mescius/wijmo.chart.interaction/index.js',
'@mescius/wijmo.chart.radar': 'npm:@mescius/wijmo.chart.radar/index.js',
'@mescius/wijmo.chart.render': 'npm:@mescius/wijmo.chart.render/index.js',
'@mescius/wijmo.chart.webgl': 'npm:@mescius/wijmo.chart.webgl/index.js',
'@mescius/wijmo.chart.map': 'npm:@mescius/wijmo.chart.map/index.js',
'@mescius/wijmo.gauge': 'npm:@mescius/wijmo.gauge/index.js',
'@mescius/wijmo.grid': 'npm:@mescius/wijmo.grid/index.js',
'@mescius/wijmo.grid.detail': 'npm:@mescius/wijmo.grid.detail/index.js',
'@mescius/wijmo.grid.filter': 'npm:@mescius/wijmo.grid.filter/index.js',
'@mescius/wijmo.grid.search': 'npm:@mescius/wijmo.grid.search/index.js',
'@mescius/wijmo.grid.style': 'npm:@mescius/wijmo.grid.style/index.js',
'@mescius/wijmo.grid.grouppanel': 'npm:@mescius/wijmo.grid.grouppanel/index.js',
'@mescius/wijmo.grid.multirow': 'npm:@mescius/wijmo.grid.multirow/index.js',
'@mescius/wijmo.grid.transposed': 'npm:@mescius/wijmo.grid.transposed/index.js',
'@mescius/wijmo.grid.transposedmultirow': 'npm:@mescius/wijmo.grid.transposedmultirow/index.js',
'@mescius/wijmo.grid.pdf': 'npm:@mescius/wijmo.grid.pdf/index.js',
'@mescius/wijmo.grid.sheet': 'npm:@mescius/wijmo.grid.sheet/index.js',
'@mescius/wijmo.grid.xlsx': 'npm:@mescius/wijmo.grid.xlsx/index.js',
'@mescius/wijmo.grid.selector': 'npm:@mescius/wijmo.grid.selector/index.js',
'@mescius/wijmo.grid.cellmaker': 'npm:@mescius/wijmo.grid.cellmaker/index.js',
'@mescius/wijmo.nav': 'npm:@mescius/wijmo.nav/index.js',
'@mescius/wijmo.odata': 'npm:@mescius/wijmo.odata/index.js',
'@mescius/wijmo.olap': 'npm:@mescius/wijmo.olap/index.js',
'@mescius/wijmo.rest': 'npm:@mescius/wijmo.rest/index.js',
'@mescius/wijmo.pdf': 'npm:@mescius/wijmo.pdf/index.js',
'@mescius/wijmo.pdf.security': 'npm:@mescius/wijmo.pdf.security/index.js',
'@mescius/wijmo.viewer': 'npm:@mescius/wijmo.viewer/index.js',
'@mescius/wijmo.xlsx': 'npm:@mescius/wijmo.xlsx/index.js',
'@mescius/wijmo.undo': 'npm:@mescius/wijmo.undo/index.js',
'@mescius/wijmo.interop.grid': 'npm:@mescius/wijmo.interop.grid/index.js',
'@mescius/wijmo.touch': 'npm:@mescius/wijmo.touch/index.js',
'@mescius/wijmo.cloud': 'npm:@mescius/wijmo.cloud/index.js',
'@mescius/wijmo.barcode': 'npm:@mescius/wijmo.barcode/index.js',
'@mescius/wijmo.barcode.common': 'npm:@mescius/wijmo.barcode.common/index.js',
'@mescius/wijmo.barcode.composite': 'npm:@mescius/wijmo.barcode.composite/index.js',
'@mescius/wijmo.barcode.specialized': 'npm:@mescius/wijmo.barcode.specialized/index.js',
"@mescius/wijmo.vue2.chart.analytics": "npm:@mescius/wijmo.vue2.chart.analytics/index.js",
"@mescius/wijmo.vue2.chart.animation": "npm:@mescius/wijmo.vue2.chart.animation/index.js",
"@mescius/wijmo.vue2.chart.annotation": "npm:@mescius/wijmo.vue2.chart.annotation/index.js",
"@mescius/wijmo.vue2.chart.finance.analytics": "npm:@mescius/wijmo.vue2.chart.finance.analytics/index.js",
"@mescius/wijmo.vue2.chart.finance": "npm:@mescius/wijmo.vue2.chart.finance/index.js",
"@mescius/wijmo.vue2.chart.hierarchical": "npm:@mescius/wijmo.vue2.chart.hierarchical/index.js",
"@mescius/wijmo.vue2.chart.interaction": "npm:@mescius/wijmo.vue2.chart.interaction/index.js",
"@mescius/wijmo.vue2.chart.radar": "npm:@mescius/wijmo.vue2.chart.radar/index.js",
'@mescius/wijmo.vue2.chart.map': 'npm:@mescius/wijmo.vue2.chart.map/index.js',
"@mescius/wijmo.vue2.chart": "npm:@mescius/wijmo.vue2.chart/index.js",
"@mescius/wijmo.vue2.core": "npm:@mescius/wijmo.vue2.core/index.js",
"@mescius/wijmo.vue2.gauge": "npm:@mescius/wijmo.vue2.gauge/index.js",
"@mescius/wijmo.vue2.grid.detail": "npm:@mescius/wijmo.vue2.grid.detail/index.js",
"@mescius/wijmo.vue2.grid.filter": "npm:@mescius/wijmo.vue2.grid.filter/index.js",
"@mescius/wijmo.vue2.grid.grouppanel": "npm:@mescius/wijmo.vue2.grid.grouppanel/index.js",
'@mescius/wijmo.vue2.grid.search': 'npm:@mescius/wijmo.vue2.grid.search/index.js',
"@mescius/wijmo.vue2.grid.multirow": "npm:@mescius/wijmo.vue2.grid.multirow/index.js",
"@mescius/wijmo.vue2.grid.sheet": "npm:@mescius/wijmo.vue2.grid.sheet/index.js",
'@mescius/wijmo.vue2.grid.transposed': 'npm:@mescius/wijmo.vue2.grid.transposed/index.js',
'@mescius/wijmo.vue2.grid.transposedmultirow': 'npm:@mescius/wijmo.vue2.grid.transposedmultirow/index.js',
"@mescius/wijmo.vue2.grid": "npm:@mescius/wijmo.vue2.grid/index.js",
"@mescius/wijmo.vue2.input": "npm:@mescius/wijmo.vue2.input/index.js",
"@mescius/wijmo.vue2.olap": "npm:@mescius/wijmo.vue2.olap/index.js",
"@mescius/wijmo.vue2.viewer": "npm:@mescius/wijmo.vue2.viewer/index.js",
"@mescius/wijmo.vue2.nav": "npm:@mescius/wijmo.vue2.nav/index.js",
"@mescius/wijmo.vue2.base": "npm:@mescius/wijmo.vue2.base/index.js",
'@mescius/wijmo.vue2.barcode.common': 'npm:@mescius/wijmo.vue2.barcode.common/index.js',
'@mescius/wijmo.vue2.barcode.composite': 'npm:@mescius/wijmo.vue2.barcode.composite/index.js',
'@mescius/wijmo.vue2.barcode.specialized': 'npm:@mescius/wijmo.vue2.barcode.specialized/index.js',
'bootstrap.css': 'npm:bootstrap/dist/css/bootstrap.min.css',
'jszip': 'npm:jszip/dist/jszip.js',
'css': 'npm:systemjs-plugin-css/css.js',
'vue': 'npm:vue/dist/vue.cjs.js',
'@vue/compiler-dom':'npm:@vue/compiler-dom/dist/compiler-dom.global.prod.js',
'@vue/runtime-dom':'npm:@vue/runtime-dom/dist/runtime-dom.global.prod.js',
'@vue/shared':'npm:@vue/shared/dist/shared.cjs.js',
'@vue/compiler-dom':'npm:@vue/compiler-dom/dist/compiler-dom.global.prod.js',
'@vue/runtime-dom':'npm:@vue/runtime-dom/dist/runtime-dom.global.prod.js',
'@vue/shared':'npm:@vue/shared/dist/shared.cjs.js',
'@vue/compiler-dom':'npm:@vue/compiler-dom/dist/compiler-dom.global.prod.js',
'@vue/runtime-dom':'npm:@vue/runtime-dom/dist/runtime-dom.global.prod.js',
'@vue/shared':'npm:@vue/shared/dist/shared.cjs.js',
'@vue/compiler-dom':'npm:@vue/compiler-dom/dist/compiler-dom.global.prod.js',
'@vue/runtime-dom':'npm:@vue/runtime-dom/dist/runtime-dom.global.prod.js',
'@vue/shared':'npm:@vue/shared/dist/shared.cjs.js',
'@vue/compiler-dom':'npm:@vue/compiler-dom/dist/compiler-dom.global.prod.js',
'@vue/runtime-dom':'npm:@vue/runtime-dom/dist/runtime-dom.global.prod.js',
'@vue/shared':'npm:@vue/shared/dist/shared.cjs.js',
'@vue/compiler-dom':'npm:@vue/compiler-dom/dist/compiler-dom.global.prod.js',
'@vue/runtime-dom':'npm:@vue/runtime-dom/dist/runtime-dom.global.prod.js',
'@vue/shared':'npm:@vue/shared/dist/shared.cjs.js',
'@vue/compiler-dom':'npm:@vue/compiler-dom/dist/compiler-dom.global.prod.js',
'@vue/runtime-dom':'npm:@vue/runtime-dom/dist/runtime-dom.global.prod.js',
'@vue/shared':'npm:@vue/shared/dist/shared.cjs.js',
'@vue/compiler-dom':'npm:@vue/compiler-dom/dist/compiler-dom.global.prod.js',
'@vue/runtime-dom':'npm:@vue/runtime-dom/dist/runtime-dom.global.prod.js',
'@vue/shared':'npm:@vue/shared/dist/shared.cjs.js',
'vue-loader': 'npm:systemjs-vue-browser/index.js',
//'systemjs-plugin-vue': 'npm:systemjs-plugin-vue/index.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel/systemjs-babel-browser.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'js'
},
rxjs: {
defaultExtension: 'js'
},
"node_modules": {
defaultExtension: 'js'
},
wijmo: {
defaultExtension: 'js',
}
}
});
})(this);

import 'bootstrap.css';
import '@mescius/wijmo.styles/wijmo.css';
import './styles.css';
//
import * as input from '@mescius/wijmo.input';
//
import '@angular/compiler';
import { Component, enableProdMode, ɵresolveComponentResources } from '@angular/core';
import { FormsModule } from '@angular/forms';
import { BrowserModule, bootstrapApplication } from '@angular/platform-browser';
import { WjInputModule } from '@mescius/wijmo.angular2.input';
//
@Component({
standalone: true,
imports: [WjInputModule, FormsModule, BrowserModule],
selector: 'app-component',
templateUrl: 'src/app.component.html',
})
export class AppComponent {
showAlert(popup: input.Popup) {
popup.show(true, (sender: input.Popup) => {
alert('you entered: ' + sender.dialogResult);
});
}
//
showPrompt(popup: input.Popup) {
popup.show(true, (sender: input.Popup) => {
let result =
sender.dialogResult && sender.dialogResult.indexOf('ok') > -1
? popup.hostElement.querySelector('input').value
: null;
alert('you entered: ' + result);
});
}
}
//
//
enableProdMode();
// Resolve resources (templateUrl, styleUrls etc), After resolution all URLs have been converted into `template` strings.
ɵresolveComponentResources(fetch).then(() => {
// Bootstrap application
bootstrapApplication(AppComponent).catch((err) => console.error(err));
});
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<title>MESCIUS Wijmo Popup Alerts and Prompts</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<!-- Polyfills -->
<script src="node_modules/core-js/client/shim.min.js"></script>
<script src="node_modules/zone.js/fesm2015/zone.min.js"></script>
<!-- SystemJS -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.21.5/system.src.js" integrity="sha512-skZbMyvYdNoZfLmiGn5ii6KmklM82rYX2uWctBhzaXPxJgiv4XBwJnFGr5k8s+6tE1pcR1nuTKghozJHyzMcoA==" crossorigin="anonymous"></script>
<script src="systemjs.config.js"></script>
<script>
// workaround to load 'rxjs/operators' from the rxjs bundle
System.import('rxjs').then(function (m) {
System.set(SystemJS.resolveSync('rxjs/operators'), System.newModule(m.operators));
System.import('./src/app.component');
});
</script>
</head>
<body>
<app-component></app-component>
</body>
</html>
<main class="container-fluid">
<wj-popup #thePopup [style.width]="small.checked ? '20%' : '40%'" [class]="clsDialog.text || 'wj-dialog'"
role="dialog">
<div [class]="clsHeader.text || 'wj-dialog-header'">
<h4>{{ header.text }}</h4>
</div>
<div [class]="clsBody.text || 'wj-dialog-body'">
<p>{{ body.text }}</p>
@if (type.text == 'Prompt') {
<input class="{{ clsInput.text || 'form-control' }}">
}
</div>
<div [class]="clsFooter.text || 'wj-dialog-footer'">
<button class="{{ clsOK.text || 'wj-btn' }} wj-hide-ok">{{ ok.text || "OK" }}</button>
<button class="{{ clsCancel.text || 'wj-btn' }} wj-hide">{{ cancel.text || "Cancel" }}</button>
</div>
</wj-popup>
<div class="form-group">
<label for="btnShow">Show</label>
<button id="btnShow" class="btn btn-primary"
(click)="type.text == 'Alert' ? showAlert(thePopup) : showPrompt(thePopup)">
Show {{ type.text }}
</button>
</div>
<div class="row">
<div class="col-xs-6">
<!-- important options -->
<div class="form-group">
<label for="type">Type</label>
<wj-combo-box #type id="type" [itemsSource]="['Alert', 'Prompt']"></wj-combo-box>
</div>
<div class="form-group">
<label for="header">Header</label>
<wj-combo-box #header id="header" [text]="'Header'"></wj-combo-box>
</div>
<div class="form-group">
<label for="body">Body</label>
<wj-combo-box #body id="body" [text]="'Dialog message.'"></wj-combo-box>
</div>
<div class="form-group">
<label for="small">Small</label>
<input #small id="small" type="checkbox">
</div>
<div class="form-group">
<label for="ok">OK Text</label>
<wj-combo-box #ok id="ok" [text]="'OK'"></wj-combo-box>
</div>
<div class="form-group">
<label for="cancel">Cancel Text</label>
<wj-combo-box #cancel id="cancel" [text]="'Cancel'"></wj-combo-box>
</div>
</div>
<div class="col-xs-6">
<!-- details -->
<div class="form-group">
<label for="clsDialog">Dialog Class</label>
<wj-combo-box #clsDialog id="clsDialog" [text]="'modal-dialog'"></wj-combo-box>
</div>
<div class="form-group">
<label for="clsHeader">Header Class</label>
<wj-combo-box #clsHeader id="clsHeader" [text]="'modal-header'"></wj-combo-box>
</div>
<div class="form-group">
<label for="clsBody">Body Class</label>
<wj-combo-box #clsBody id="clsBody" [text]="'modal-body'"></wj-combo-box>
</div>
<div class="form-group">
<label for="clsInput">Input Class</label>
<wj-combo-box #clsInput id="clsInput" [text]="'form-control'"></wj-combo-box>
</div>
<div class="form-group">
<label for="clsFooter">Footer Class</label>
<wj-combo-box #clsFooter id="clsFooter" [text]="'modal-footer'"></wj-combo-box>
</div>
<div class="form-group">
<label for="clsOK">OK Class</label>
<wj-combo-box #clsOK id="clsOK" [text]="'btn btn-primary'"></wj-combo-box>
</div>
<div class="form-group">
<label for="clsCancel">Cancel Class</label>
<wj-combo-box #clsCancel id="clsCancel" [text]="'btn btn-default'"></wj-combo-box>
</div>
</div>
</div>
</main>
label {
width: 90px;
text-align: right;
margin-right: 6px;
}
.wj-combobox {
width: 140px;
}
body {
margin-bottom: 24pt;
}
(function (global) {
SystemJS.config({
transpiler: './plugin-typescript.js',
typescriptOptions: {
"target": "ES2022",
"module": "system",
"emitDecoratorMetadata": true,
"experimentalDecorators": true,
},
baseURL: 'node_modules/',
meta: {
'typescript': {
"exports": "ts"
},
'*.css': { loader: 'systemjs-plugin-css' },
'*.mjs': {
format: 'esm'
},
},
paths: {
// paths serve as alias
'npm:': ''
},
packageConfigPaths: [
'/node_modules/*/package.json',
"/node_modules/@angular/*/package.json",
"/node_modules/@mescius/*/package.json"
],
map: {
'core-js': 'https://cdn.jsdelivr.net/npm/core-js@2.6.12/client/shim.min.js',
'typescript': 'https://cdnjs.cloudflare.com/ajax/libs/typescript/5.2.2/typescript.min.js',
"rxjs": "https://cdnjs.cloudflare.com/ajax/libs/rxjs/7.8.1/rxjs.umd.min.js",
'systemjs-plugin-css': 'https://cdn.jsdelivr.net/npm/systemjs-plugin-css@0.1.37/css.js',
'@mescius/wijmo': 'npm:@mescius/wijmo/index.js',
'@mescius/wijmo.input': 'npm:@mescius/wijmo.input/index.js',
'@mescius/wijmo.styles': 'npm:@mescius/wijmo.styles',
'@mescius/wijmo.cultures': 'npm:@mescius/wijmo.cultures',
'@mescius/wijmo.chart': 'npm:@mescius/wijmo.chart/index.js',
'@mescius/wijmo.chart.analytics': 'npm:@mescius/wijmo.chart.analytics/index.js',
'@mescius/wijmo.chart.animation': 'npm:@mescius/wijmo.chart.animation/index.js',
'@mescius/wijmo.chart.annotation': 'npm:@mescius/wijmo.chart.annotation/index.js',
'@mescius/wijmo.chart.finance': 'npm:@mescius/wijmo.chart.finance/index.js',
'@mescius/wijmo.chart.finance.analytics': 'npm:@mescius/wijmo.chart.finance.analytics/index.js',
'@mescius/wijmo.chart.hierarchical': 'npm:@mescius/wijmo.chart.hierarchical/index.js',
'@mescius/wijmo.chart.interaction': 'npm:@mescius/wijmo.chart.interaction/index.js',
'@mescius/wijmo.chart.radar': 'npm:@mescius/wijmo.chart.radar/index.js',
'@mescius/wijmo.chart.render': 'npm:@mescius/wijmo.chart.render/index.js',
'@mescius/wijmo.chart.webgl': 'npm:@mescius/wijmo.chart.webgl/index.js',
'@mescius/wijmo.chart.map': 'npm:@mescius/wijmo.chart.map/index.js',
'@mescius/wijmo.gauge': 'npm:@mescius/wijmo.gauge/index.js',
'@mescius/wijmo.grid': 'npm:@mescius/wijmo.grid/index.js',
'@mescius/wijmo.grid.detail': 'npm:@mescius/wijmo.grid.detail/index.js',
'@mescius/wijmo.grid.filter': 'npm:@mescius/wijmo.grid.filter/index.js',
'@mescius/wijmo.grid.search': 'npm:@mescius/wijmo.grid.search/index.js',
'@mescius/wijmo.grid.style': 'npm:@mescius/wijmo.grid.style/index.js',
'@mescius/wijmo.grid.grouppanel': 'npm:@mescius/wijmo.grid.grouppanel/index.js',
'@mescius/wijmo.grid.multirow': 'npm:@mescius/wijmo.grid.multirow/index.js',
'@mescius/wijmo.grid.transposed': 'npm:@mescius/wijmo.grid.transposed/index.js',
'@mescius/wijmo.grid.transposedmultirow': 'npm:@mescius/wijmo.grid.transposedmultirow/index.js',
'@mescius/wijmo.grid.pdf': 'npm:@mescius/wijmo.grid.pdf/index.js',
'@mescius/wijmo.grid.sheet': 'npm:@mescius/wijmo.grid.sheet/index.js',
'@mescius/wijmo.grid.xlsx': 'npm:@mescius/wijmo.grid.xlsx/index.js',
'@mescius/wijmo.grid.selector': 'npm:@mescius/wijmo.grid.selector/index.js',
'@mescius/wijmo.grid.cellmaker': 'npm:@mescius/wijmo.grid.cellmaker/index.js',
'@mescius/wijmo.nav': 'npm:@mescius/wijmo.nav/index.js',
'@mescius/wijmo.odata': 'npm:@mescius/wijmo.odata/index.js',
'@mescius/wijmo.olap': 'npm:@mescius/wijmo.olap/index.js',
'@mescius/wijmo.rest': 'npm:@mescius/wijmo.rest/index.js',
'@mescius/wijmo.pdf': 'npm:@mescius/wijmo.pdf/index.js',
'@mescius/wijmo.pdf.security': 'npm:@mescius/wijmo.pdf.security/index.js',
'@mescius/wijmo.viewer': 'npm:@mescius/wijmo.viewer/index.js',
'@mescius/wijmo.xlsx': 'npm:@mescius/wijmo.xlsx/index.js',
'@mescius/wijmo.undo': 'npm:@mescius/wijmo.undo/index.js',
'@mescius/wijmo.interop.grid': 'npm:@mescius/wijmo.interop.grid/index.js',
'@mescius/wijmo.touch': 'npm:@mescius/wijmo.touch/index.js',
'@mescius/wijmo.cloud': 'npm:@mescius/wijmo.cloud/index.js',
'@mescius/wijmo.barcode': 'npm:@mescius/wijmo.barcode/index.js',
'@mescius/wijmo.barcode.common': 'npm:@mescius/wijmo.barcode.common/index.js',
'@mescius/wijmo.barcode.composite': 'npm:@mescius/wijmo.barcode.composite/index.js',
'@mescius/wijmo.barcode.specialized': 'npm:@mescius/wijmo.barcode.specialized/index.js',
"@mescius/wijmo.angular2.chart.analytics": "npm:@mescius/wijmo.angular2.chart.analytics/index.js",
"@mescius/wijmo.angular2.chart.animation": "npm:@mescius/wijmo.angular2.chart.animation/index.js",
"@mescius/wijmo.angular2.chart.annotation": "npm:@mescius/wijmo.angular2.chart.annotation/index.js",
"@mescius/wijmo.angular2.chart.finance.analytics": "npm:@mescius/wijmo.angular2.chart.finance.analytics/index.js",
"@mescius/wijmo.angular2.chart.finance": "npm:@mescius/wijmo.angular2.chart.finance/index.js",
"@mescius/wijmo.angular2.chart.hierarchical": "npm:@mescius/wijmo.angular2.chart.hierarchical/index.js",
"@mescius/wijmo.angular2.chart.interaction": "npm:@mescius/wijmo.angular2.chart.interaction/index.js",
"@mescius/wijmo.angular2.chart.radar": "npm:@mescius/wijmo.angular2.chart.radar/index.js",
'@mescius/wijmo.angular2.chart.map': 'npm:@mescius/wijmo.angular2.chart.map/index.js',
"@mescius/wijmo.angular2.chart": "npm:@mescius/wijmo.angular2.chart/index.js",
"@mescius/wijmo.angular2.core": "npm:@mescius/wijmo.angular2.core/index.js",
"@mescius/wijmo.angular2.gauge": "npm:@mescius/wijmo.angular2.gauge/index.js",
"@mescius/wijmo.angular2.grid.detail": "npm:@mescius/wijmo.angular2.grid.detail/index.js",
"@mescius/wijmo.angular2.grid.filter": "npm:@mescius/wijmo.angular2.grid.filter/index.js",
"@mescius/wijmo.angular2.grid.grouppanel": "npm:@mescius/wijmo.angular2.grid.grouppanel/index.js",
"@mescius/wijmo.angular2.grid.search": "npm:@mescius/wijmo.angular2.grid.search/index.js",
"@mescius/wijmo.angular2.grid.multirow": "npm:@mescius/wijmo.angular2.grid.multirow/index.js",
"@mescius/wijmo.angular2.grid.sheet": "npm:@mescius/wijmo.angular2.grid.sheet/index.js",
'@mescius/wijmo.angular2.grid.transposed': 'npm:@mescius/wijmo.angular2.grid.transposed/index.js',
'@mescius/wijmo.angular2.grid.transposedmultirow': 'npm:@mescius/wijmo.angular2.grid.transposedmultirow/index.js',
"@mescius/wijmo.angular2.grid": "npm:@mescius/wijmo.angular2.grid/index.js",
"@mescius/wijmo.angular2.input": "npm:@mescius/wijmo.angular2.input/index.js",
"@mescius/wijmo.angular2.olap": "npm:@mescius/wijmo.angular2.olap/index.js",
"@mescius/wijmo.angular2.viewer": "npm:@mescius/wijmo.angular2.viewer/index.js",
"@mescius/wijmo.angular2.nav": "npm:@mescius/wijmo.angular2.nav/index.js",
"@mescius/wijmo.angular2.directivebase": "npm:@mescius/wijmo.angular2.directivebase/index.js",
'@mescius/wijmo.angular2.barcode.common': 'npm:@mescius/wijmo.angular2.barcode.common/index.js',
'@mescius/wijmo.angular2.barcode.composite': 'npm:@mescius/wijmo.angular2.barcode.composite/index.js',
'@mescius/wijmo.angular2.barcode.specialized': 'npm:@mescius/wijmo.angular2.barcode.specialized/index.js',
'bootstrap.css': 'npm:bootstrap/dist/css/bootstrap.min.css',
'jszip': 'https://cdnjs.cloudflare.com/ajax/libs/jszip/3.10.1/jszip.min.js',
'@angular/core': 'npm:@angular/core/fesm2022/core.mjs',
'@angular/core/primitives/di': 'npm:@angular/core/fesm2022/primitives/di.mjs',
'@angular/core/primitives/signals': 'npm:@angular/core/fesm2022/primitives/signals.mjs',
'@angular/core/primitives/event-dispatch': 'npm:@angular/core/fesm2022/primitives/event-dispatch.mjs',
'@angular/common': 'npm:@angular/common/fesm2022/common.mjs',
'@angular/common/http': 'npm:@angular/common/fesm2022/http.mjs',
'@angular/compiler': 'npm:@angular/compiler/fesm2022/compiler.mjs',
'@angular/platform-browser': 'npm:@angular/platform-browser/fesm2022/platform-browser.mjs',
'@angular/platform-browser-dynamic': 'npm:@angular/platform-browser-dynamic/fesm2022/platform-browser-dynamic.mjs',
'@angular/http': 'npm:@angular/http/fesm2022/http.mjs',
'@angular/router': 'npm:@angular/router/fesm2022/router.mjs',
'@angular/forms': 'npm:@angular/forms/fesm2022/forms.mjs',
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
"./src": {
defaultExtension: 'ts'
},
"node_modules": {
defaultExtension: 'js'
},
wijmo: {
defaultExtension: 'js',
}
}
});
})(this);